#define LOG_OFF                 0
#define LOG_LEVEL_01            1
#define LOG_LEVEL_02            2
#define LOG_LEVEL_03            3
#define LOG_LEVEL_04            4
#define LOG_LEVEL_05            5
#define LOG_LEVEL_06            6
#define LOG_LEVEL_07            7
#define LOG_LEVEL_08            8
#define LOG_LEVEL_09            9
#define LOG_LEVEL_10            10

#define RDD_DRIVER_NAME         "RQRDDFIRE" 
#define RDDIDX_OLD_PREFIX       "IDX_"
#define RDDIDX_PREFIX           "RDDIDX_"
#define RDDLIMBO_PREFIX         "RDDLMB_"
#define RDDFLDAUX_PREFIX        "RDDAUX_"
#define VIEW_PREFIX             "VW_"

#define RECNO_FIELD             "RECNO"
#define RECNO_FIELD_SIZE        20
#define AREAID_FIELD            "RDD_AREAID"
#define AREAID_FIELD_SIZE       50

#define DBS_RDDFIELDTYPE        5

#define RDDFIELDTYPE_NORMAL     0
#define RDDFIELDTYPE_RECNO      1
#define RDDFIELDTYPE_RDDIDX     2
#define RDDFIELDTYPE_AREAID     3

#define SKIP_MODE_0             0
#define SKIP_MODE_1             1
#define SKIP_MODE_2             2

#define VALTYPE_ARRAY           "A"
#define VALTYPE_CODEBLOCK       "B"
#define VALTYPE_CHARACTER       "C"
#define VALTYPE_LOGICAL         "L"

#define DEFAULT_SKCACHE_SIZE    11
#define DEFAULT_SKCACHE_TMOUT   5.0
#define DEFAULT_SEEKCACHE_TMOUT 10.0
#define DEFAULT_RECCOUNT_TMOUT  5.0

